Package org.eclipse.ecf.core.events

# Class ContainerDisconnectingEvent

java.lang.Object
org.eclipse.ecf.core.events.ContainerDisconnectingEvent

All Implemented Interfaces:
  `IContainerDisconnectingEvent`, `IContainerEvent`, `Event`

public class ContainerDisconnectingEvent extends Object implements IContainerDisconnectingEvent

## Constructor Summary

Constructors
Constructor
Description
`ContainerDisconnectingEvent(ID localContainerID, ID targetID)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`ID`
`getTargetID()`
Get ID of container target (the container we are disconnecting from)
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerDisconnectingEvent

public ContainerDisconnectingEvent(ID localContainerID, ID targetID)

## Method Details

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### getTargetID

public ID getTargetID()
Description copied from interface: `IContainerDisconnectingEvent`
Get ID of container target (the container we are disconnecting from)

Specified by:
  `getTargetID` in interface `IContainerDisconnectingEvent`
Returns:
  ID the ID of the container we are disconnecting from. Will not be null.

### toString

public String toString()

Overrides:
  `toString` in class `Object`